import { IRpcApi } from '@solana/rpc-transport/dist/types/json-rpc-types';
import { GetAccountInfoApi } from './getAccountInfo';
import { GetBalanceApi } from './getBalance';
import { GetBlockHeightApi } from './getBlockHeight';
import { GetBlockProductionApi } from './getBlockProduction';
import { GetBlocksApi } from './getBlocks';
import { GetFirstAvailableBlockApi } from './getFirstAvailableBlock';
import { GetInflationRewardApi } from './getInflationReward';
import { GetLatestBlockhashApi } from './getLatestBlockhash';
import { GetMaxRetransmitSlotApi } from './getMaxRetransmitSlot';
import { GetMaxShredInsertSlotApi } from './getMaxShredInsertSlot';
import { GetSlotApi } from './getSlot';
import { GetStakeMinimumDelegationApi } from './getStakeMinimumDelegation';
import { GetTransactionCountApi } from './getTransactionCount';
import { MinimumLedgerSlotApi } from './minimumLedgerSlot';
import { GetEpochInfoApi } from './getEpochInfo';
import { GetRecentPerformanceSamplesApi } from './getRecentPerformanceSamples';
import { GetBlockTimeApi } from './getBlockTime';
type Config = Readonly<{
    onIntegerOverflow?: (methodName: string, keyPath: (number | string)[], value: bigint) => void;
}>;
export type SolanaRpcMethods = GetAccountInfoApi & GetBalanceApi & GetBlockHeightApi & GetBlockProductionApi & GetBlocksApi & GetBlockTimeApi & GetEpochInfoApi & GetFirstAvailableBlockApi & GetInflationRewardApi & GetLatestBlockhashApi & GetMaxRetransmitSlotApi & GetMaxShredInsertSlotApi & GetRecentPerformanceSamplesApi & GetSlotApi & GetStakeMinimumDelegationApi & GetTransactionCountApi & MinimumLedgerSlotApi;
export declare function createSolanaRpcApi(config?: Config): IRpcApi<SolanaRpcMethods>;
export {};
//# sourceMappingURL=index.d.ts.map